#
# spec file for package ghc-pipes-group
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name pipes-group
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.0.12
Release:        lp150.1.1
Summary:        Group streams into substreams
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-free-devel
BuildRequires:  ghc-pipes-devel
BuildRequires:  ghc-pipes-parse-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-lens-family-core-devel
%endif

%description
'pipes-group' uses 'FreeT' and lenses to group streams into sub-streams.
Notable features include:

* /Perfect Streaming/: Group elements without collecting them into memory

* /Lens Support/: Use lenses to simplify many common operations

'Pipes.Group' contains the full documentation for this library.

Read 'Pipes.Group.Tutorial' for an extensive tutorial.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Mon Jul  9 2018 psimons@suse.com
- Update pipes-group to version 1.0.12.
  A detailed changelog is not available from upstream.
* Tue May  8 2018 psimons@suse.com
- Update pipes-group to version 1.0.10.
  A more detailed change log is not available.
* Thu Apr 12 2018 psimons@suse.com
- Update pipes-group to version 1.0.9.
  A more detailed change log is not available.
* Sun Dec  4 2016 psimons@suse.com
- Update to version 1.0.6 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.0.5 revision 0 with cabal2obs.
* Mon Jun 13 2016 mimi.vx@gmail.com
- update to 1.0.5
* Mon Apr  4 2016 mimi.vx@gmail.com
- update to 1.0.4
* Mon Dec 14 2015 peter.trommler@ohm-hochschule.de
- inital package
